• 注册
  • BBS Openssh 关注:10 内容:11

    openssh8.2p1编译RPM包过程遇到的问题,跪问大神,这个怎么解决

  • 查看作者
  • 打赏作者
  • 拉黑名单
  • 处理文件:openssh-debuginfo-8.2p1-1.el7.x86_64

    Provides: openssh-debuginfo = 8.2p1-1.el7 openssh-debuginfo(x86-64) = 8.2p1-1.el7

    Requires(rpmlib): rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1

    检查未打包文件:/usr/lib/rpm/check-files /root/rpmbuild/BUILDROOT/openssh-8.2p1-1.el7.x86_64

    错误:发现已安装(但未打包的)文件:

       /usr/libexec/openssh/ssh-sk-helper

       /usr/share/man/man8/ssh-sk-helper.8.gz

    RPM 构建错误:

        发现已安装(但未打包的)文件:

       /usr/libexec/openssh/ssh-sk-helper

       /usr/share/man/man8/ssh-sk-helper.8.gz

    解决方法:

    vi /usr/lib/rpm/macros

    #%__check_files %{_rpmconfigdir}/check-files %{buildroot}

    注释以上行

  • aq2cn应该也可以
    拉黑 3月前 电脑端回复
  • 请在后台-发布模块-表情设置 配置表情地址。
    回复
    VIP1

    SPECS里面补这个即可!

    /usr/libexec/openssh/ssh-sk-helper

    /usr/share/man/man8/ssh-sk-helper.8.gz


    请在后台-发布模块-表情设置 配置表情地址。
    回复

    请登录之后再进行评论

    登录
  • 帖子间隔 侧栏位置: